SIGPAUSE(2)

NAME
sigpause - atomically release blocked signals and wait for interrupt

SYNOPSIS
sigpause(sigmask)
long sigmask;

DESCRIPTION
This interface is made obsolete by: sigsuspend(2).

Sigpause() assigns sigmask to the set of masked signals and then waits for a signal to arrive; on return the set of masked signals is restored. Sigmask is usually 0L to indicate that no signals are now to be blocked. Sigpause always terminates by being interrupted, returning -1 with errno set to EINTR.

SEE ALSO
sigsuspend(2), kill(2), sigaction(2), sigprocmask(2), sigblock(2), sigvec(2)

HISTORY
The sigpause function call appeared in 4.2BSD and has been deprecated.